=== debian/changelog ===
python-picologging (0.9.4-3build2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 21 Oct 2025 10:26:49 +0000

python-picologging (0.9.4-3build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 05 Mar 2025 00:08:48 +0000

python-picologging (0.9.4-3) unstable; urgency=medium

  * Team upload.

  [ Carsten Schoenert ]
  * [309ee54] d/control: Simplify B-D to libpython3-all-dev

  [ Stefano Rivera ]
  * [1188c85] Clean correctly.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 26 Jan 2025 14:09:13 -0400

python-picologging (0.9.4-2) unstable; urgency=medium

  * [e04fdcc] Add patches from patch-queue branch
    Added patches:
    Add-some-compat-aliases-for-changes-in-the-API.patch
    Patch-other-changed-APIs-for-pytime.patch
    (Closes: #1089051)
  * [d4b9f97] d/control: Add libpython3.*-dev as B-D

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 09 Dec 2024 18:36:59 +0200

python-picologging (0.9.4-1) unstable; urgency=medium

  * [3c7fa26] New upstream version 0.9.4
  * [9444a94] d/control: d/control: Drop distinction of B-D and B-D-I packages
  * [03c845d] d/salsa-ci.yml: Adding build pipeline on Salsa

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 14 Oct 2024 08:48:21 +0100

python-picologging (0.9.3-1) unstable; urgency=medium

  * [6576c19] New upstream version 0.9.3
  * [d035388] First and initial Debianization
    (Closes: #1077755)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 01 Aug 2024 23:12:02 +0900
