=== debian/control ===
Source: python-picologging
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Carsten Schoenert <c.schoenert@t-online.de>,
 Kathara Sasikumar <katharasasikumar007@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 furo <!nodoc>,
 libpython3-all-dev,
 pybuild-plugin-pyproject,
 python3-all,
 python3-pytest <!nocheck>,
 python3-setuptools,
 python3-skbuild,
 python3-sphinx <!nodoc>,
Standards-Version: 4.7.0
Homepage: https://github.com/microsoft/picologging
Vcs-Git: https://salsa.debian.org/python-team/packages/python-picologging.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-picologging
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python-picologging-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: Fast and lightweight Python logging library (Documentation)
 Picologging is a high-performance logging library for Python, it's about
 4-10x faster than the logging module in the standard library.
 .
 Picologging is designed to be used as a drop-in replacement for applications
 which already use logging, and supports the same API as the logging module.
 .
 This package contains the documentation for python3-picologging.

Package: python3-picologging
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Suggests:
 python-picologging-doc,
Description: Fast and lightweight Python logging library (Python 3)
 Picologging is a high-performance logging library for Python, it's about
 4-10x faster than the logging module in the standard library.
 .
 Picologging is designed to be used as a drop-in replacement for applications
 which already use logging, and supports the same API as the logging module.
 .
 This package contains the Python 3 version.
